# Document Viewer
## Overview

The document viewer is a document viewing tool that comes with the system and is mainly used to browse documents in PDF format. It supports functions such as adding bookmarks, cursor browsing, color inversion, text search, and document screening.

## Open With
- "**Start Menu**"![](image/icon1.png)>"**Document Viewer**"![](image/icon2.png)；
- Right click on the document icon>"**Open With**">"**Document Viewer**"![](image/icon2.png)；
- "**Taskbar**">"**Search**"![](image/icon3.png)>"**Document Viewer**"![](image/icon2.png)>Select Open.
![Figure 1 Document Viewer - Day Mode](image/1.png)
![Figure 2 Document Viewer - Night Mode](image/2.png)

## Basic Operations
When browsing a document using the document viewer, click "![](image/icon4.png)" or "![](image/icon5.png)" in the status bar to perform page up and page down operations. The status bar displays the current page number of the document and the total page number of the document, and supports selecting different page zoom ratios.
![Figure 3 View Document](image/3.png)
![Figure 4 Select Page Zoom Scale](image/4.png)
In the sidebar, you can select a view type, including "**Thumbnail**", "**Index**", "**Attachment**", "**Layer**", "**Annotations**", and "**Bookmark**". If the document does not have a corresponding view label, the view option is grayed out, which is not optional.
Select "**Bookmark**">"**Add Bookmark**" in the menu bar or use the "Ctrl"+"D" key combination to add the current page to a bookmark. Select the "**Bookmark**" view type to display only all bookmarked pages.
![Figure 5 Select View Type](image/5.png)
In the "**View**" menu bar, you can set whether to display the toolbar, whether to display the sidebar, reverse color, cursor browsing, dual page/continuous, show, full screen, and other related view settings. After selecting "**Invert Color**", the font color, background, and illustrations in the document all have color conversion; After enabling "**Cursor Browsing**", a movable cursor is placed on the text page to move the cursor or select text using the keyboard.
![Figure 6 Reverse Color](image/6.png)
Select "**File**">"**Properties**" or press the "**Alt+Enter**" key to open the file properties window, where you can view the properties of the currently opened file, including the file location, author, creation time, modification time, and page count.
![Figure 7 View File Properties](image/7.png)

## Menu bar
The function description of the document viewer menu bar is shown in the following table.
Table 1 Function Description of Document Viewer Menu Bar

|Level 1 Menu | Level 2 Menu | Description|
|------------|--------------|-----------|
|File | Open | Open Document|
|| Open Copy | Open the same content document in a new window|
|| Save As | Save the document to the specified path|
|Print | Print the document|
|| Properties | General options for displaying documents|
|| Close | Close the document viewer|
|Edit | Copy | Copy|
|| Select All | Select all documents|
|Search|Search Keywords|
|| Find Previous | Find the previous keyword result|
|| Find Next | Find the next keyword result|
|| Rotate Left | Rotate the document 90 degrees to the left|
|| Rotate Right | Rotate the document 90 degrees to the right|
|| Toolbar | Show Toolbar Editor|
|| Set current settings as default | Save current editor settings as default|
|View | Toolbar | Whether to display the toolbar|
|| Sidebar | Show Sidebar|
|Full Screen|Full screen display|
|| Show | View documents in show mode|
|| Continuous | View document pages continuously|
|Double Page | Two Column View Document Page|
|| Invert Color | Convert to Relative Color|
|| Cursor browsing | Place the cursor to browse the document|
|Enlarge | Enlarge the document|
|Zoom Out | Zoom out of the document|
|| Reset Zoom | Restore Normal Scale|
|| Fit Page | Zoom to Fit Page Size|
|| Fit Page Width | Zoom to Fit Page Width|
|Extend the window to fit | Extend the page window|
|| Reload | Reload the window|
|Go to | Previous Page | Switch to the previous page|
|| Next Page | Switch to the next page|
|| First Page | Switch to the first page|
|| Last Page | Switch to the last page|
|Bookmark | Add Bookmark | Add an identifier to the current document|
|Help | Contents | Open User's Manual|
|About | Application Statement Information|
