# Shortcut Key
## 1 Overview
The way to quickly execute a command or launch a software through a combination of different keys is called Shortcut Key.

**Windows Logo Key**: The key on keyboard with Windows flag or word "Win"/"Windows". The following use Win for short.

Shortcuts are divided into two categories -- "System" and "Desktop".

<br>

## 2 System

The system-level shortcuts are shown below. "Undefined" means the function is available but the shortcut is not set yet.

|                           Function                           |     Shortcut key      |
| :----------------------------------------------------------: | :-------------------: |
|                      Show/Hide Desktop                       |         Win+D         |
|                     Walk Through Windows                     |        Alt+Tab        |
|                     Show Multitask View                      |        Win+Tab        |
|                Switch One Desktop to the Left                | Win+Ctrl+←,Ctrl+Alt+← |
|               Switch One Desktop to the Right                | Win+Ctrl+→,Ctrl+Alt+→ |
|                     Minimize All Window                      |         Win+M         |
|                    Unminimize All Window                     |      Win+Shift+M      |
|                         Close Window                         |        Alt+F4         |
|            Minimize or restore non focus windows             |       Win+Home        |
| Maximize the focus window upwards until it is pressed against the top of the screen |         Win+↑         |
|   Restore the focus window downwards until it is minimized   |         Win+↓         |
|                Quick Tile Window to the Left                 |         Win+←         |
|                Quick Tile Window to the Right                |         Win+→         |
|                 Window Direct Quick Tile Up                  |       Win+Alt+↑       |
|                Window Direct Quick Tile Down                 |       Win+Alt+↓       |
|                Window Direct Quick Tile Left                 |       Win+Alt+←       |
|                Window Direct Quick Tile Right                |       Win+Alt+→       |
|                      Number key prompt                       |         NumLK         |
|               Upper and lower case key prompts               |       CapsLock        |
|                Turn off the magnifying glass                 |        Win+Esc        |
|                      Show desktop grid                       |        Ctrl+F8        |
|                     Switch to desktop 1                      |        Ctrl+F1        |
|                     Switch to Desktop 2                      |        Ctrl+F2        |
|                     Switch to desktop 3                      |        Ctrl+F3        |
|                     Switch to desktop 4                      |        Ctrl+F4        |
|                         Kill Window                          |     Ctrl+Alt+Esc      |
|   Quickly move and maximize the window to the next screen    |     Ctrl+Shift+←      |
| Quickly move and maximize the window to the previous screen  |     Ctrl+Shift+→      |
|      Traverse the current application window (Reverse)       |        Alt+"~"        |
|                  Traverse Window (Reverse)                   |   Alt+Shift+Backtab   |
|           Traverse the current application window            |        Alt+"`"        |
|                        Suspend mixer                         |     Alt+Shift+F12     |
|                       Minimize windows                       |        Alt+F9         |
|        Traverse all maximized or full screen windows         |         Alt+M         |
|       Maximize the window without covering the taskbar       |        Alt+F10        |
|        Right click title bar (Window operation menu)         |        Alt+F3         |
|          Quickly move the window to the next screen          |      Win+Shift+→      |
|            Open the magnifying glass and zoom in             |        Win+"+"        |
|                   Zoom in magnifying glass                   |        Win+"-"        |

## 3 Desktop
The desktop-level shortcuts are provided by desktop environment, as shown below.

XF86\* type shortcuts don't exist on common standard US 101 keyboards, and some keys are defined by the xfree 86 standard. They are deployed around the keyboard, commonly known as function keys.

|                  Function                  |         Shortcut key          |
| :----------------------------------------: | :---------------------------: |
|              Open screenshot               |    Shift+PrtSc,Win+Shift+S    |
|             Take a screenshot              |        PrtSc,Win+PrtSc        |
|       Take a screenshot of a window        |          Ctrl+PrtSc           |
|            Kylin Display Switch            |             Win+P             |
|   Open the shutdown management interface   |        Ctrl+Alt+Delete        |
|        Open the internet connection        |             Win+K             |
|             Open File Manager              |       Win+E,Ctrl+Alt+E        |
|                Lock screen                 |       Ctrl+Alt+L,Win+L        |
|                  Terminal                  |       Ctrl+Alt+T,Win+t        |
|            Open System Settings            |             Win+I             |
|             Unflod Ukui Search             |             Win+S             |
|            Unflod Ukui Sidebar             |             Win+A             |
|          Open the system monitor           |       Ctrl+Shift+Escape       |
|           Kylin service support            |             Win+F             |
|              Open Start Menu               |              Win              |
|                 Open Help                  |              F1               |
| Select all items in the document or window |            Ctrl+A             |
|                    Copy                    |            Ctrl+C             |
|                   Paste                    |            Ctrl+V             |
|                   Shear                    |            Ctrl+X             |
|             Forward operation              |            Ctrl+Y             |
|             Backward operation             |            Ctrl+Z             |
|  Multimedia advances for a period of time  |   XKB_KEY_XF86AudioForward    |
|               Reduce volume                | XKB_KEY_XF86AudioLowerVolume  |
|                 Undefined                  |    XKB_KEY_XF86AudioMedia     |
|                  Mic mute                  |   XKB_KEY_XF86AudioMicMute    |
|                    Mute                    |     XKB_KEY_XF86AudioMute     |
|          Multimedia Previous Song          |     XKB_KEY_XF86AudioNext     |
|                 Play/Pause                 |    XKB_KEY_XF86AudioPause     |
|                    Play                    |     XKB_KEY_XF86AudioPlay     |
|            Multimedia Next Song            |     XKB_KEY_XF86AudioPrev     |
|              Increase volume               | XKB_KEY_XF86AudioRaiseVolume  |
|                Random Play                 |  XKB_KEY_XF86AudioRandomPlay  |
|                 Play/Pause                 |    XKB_KEY_XF86AudioRepeat    |
| Multimedia goes back for a period of time  |    XKB_KEY_XF86AudioRewind    |
|                   Cease                    |     XKB_KEY_XF86AudioStop     |
|         Performance mode switching         |      XKB_KEY_XF86Battery      |
|              Switch Bluetooth              |     XKB_KEY_XF86Bluetooth     |
|           Display mode switching           |      XKB_KEY_XF86Display      |
|                 Undefined                  |       XKB_KEY_XF86Eject       |
|                Open browser                |     XKB_KEY_XF86Explorer      |
|             Undefined features             |     XKB_KEY_XF86Messenger     |
|            Brighten the screen             | XKB_KEY_XF86MonBrightnessDown |
|             Dimming the screen             |  XKB_KEY_XF86MonBrightnessUp  |
|            Power button pressed            |     XKB_KEY_XF86PowerOff      |
|         Turn on/off airplane mode          |      XKB_KEY_XF86RFKill       |
|               Close touchpad               |    XKB_KEY_XF86TouchpadOff    |
|               Open touchpad                |    XKB_KEY_XF86TouchpadOn     |
|          Turn on/off the touchpad          |  XKB_KEY_XF86TouchpadTrigger  |
|               On/off camera                |      XKB_KEY_XF86WebCam       |
|            Turn on/off network             |       XKB_KEY_XF86WLAN        |
