# 快捷键
## 1 概 述
通过不同的按键组合，达到快速执行某个命令或者启动某个软件的方式称为快捷键。

**Windows徽标键**：键盘上显示为Windows旗帜，或标为文字Win或Windows的按键。后文简称Win。

系统快捷键分为两类 —— “系统” 和 “桌面”。

<br>

## 2 系 统

系统级快捷键如下所示。其中，“未设置” 代表快捷键功能可用，但是快捷键并未设置。

|                功能                |        快捷键         |
| :--------------------------------: | :-------------------: |
|           显示或隐藏桌面           |         Win+D         |
|       预览并切换已打开的窗口       |        Alt+Tab        |
|             显示工作区             |        Win+Tab        |
|         切换至左边的工作区         | Win+Ctrl+←,Ctrl+Alt+← |
|         切换至右边的工作区         | Win+Ctrl+→,Ctrl+Alt+→ |
|           最小化所有窗口           |         Win+M         |
|         还原所有最小化窗口         |      Win+Shift+M      |
|        依次关闭桌面上的窗口        |        Alt+F4         |
|       最小化或还原非焦点窗口       |       Win+Home        |
| 焦点窗口向上最大化直到贴靠屏幕上方 |         Win+↑         |
|     焦点窗口向下还原直到最小化     |         Win+↓         |
|          焦点窗口向左贴靠          |         Win+←         |
|          焦点窗口向右贴靠          |         Win+→         |
|       焦点窗口向上贴靠并分屏       |       Win+Alt+↑       |
|       焦点窗口向下贴靠并分屏       |       Win+Alt+↓       |
|       焦点窗口向左贴靠并分屏       |       Win+Alt+←       |
|       焦点窗口向右贴靠并分屏       |       Win+Alt+→       |
|             数字键提示             |         NumLK         |
|           大小写按键提示           |       CapsLock        |
|             关闭放大镜             |        Win+Esc        |
|            显示桌面网格            |        Ctrl+F8        |
|            切换到桌面1             |        Ctrl+F1        |
|            切换到桌面2             |        Ctrl+F2        |
|            切换到桌面3             |        Ctrl+F3        |
|            切换到桌面4             |        Ctrl+F4        |
|              杀死窗口              |     Ctrl+Alt+Esc      |
| 将窗口快速移动并最大化到下一个屏幕 |     Ctrl+Shift+←      |
| 将窗口快速移动并最大化到上一个屏幕 |     Ctrl+Shift+→️      |
|     遍历当前应用程序窗口(反向)     |         Alt+~         |
|           遍历窗口(反向)           |   Alt+Shift+Backtab   |
|        遍历当前应用程序窗口        |         Alt+`         |
|             挂起混成器             |     Alt+Shift+F12     |
|             最小化窗口             |        Alt+F9         |
|      遍历所有最大化或全屏窗口      |         Alt+M         |
|      最大化窗口，不覆盖任务栏      |        Alt+F10        |
|     右键标题栏（窗口操作菜单）     |        Alt+F3         |
|      窗口快速移动到下一个屏幕      |      Win+Shift+→️      |
|          打开放大镜并放大          |        Win+“+"        |
|             缩小放大镜             |        Win+“-”        |

## 3 桌 面
桌面级快捷键主要由桌面环境提供，表格如下所示。

XF86\*类型快捷键在普通标准美国101键盘上并不存在，是xfree 86标准定义的一些键，部署在键盘周围，俗称功能键。

|            功能            |            快捷键             |
| :------------------------: | :---------------------------: |
|          打开截图          |    Shift+PrtSc,Win+Shift+S    |
|          截图桌面          |        PrtSc,Win+PrtSc        |
|        截图当前窗口        |          Ctrl+PrtSc           |
|        打开系统投屏        |             Win+P             |
|          关机界面          |        Ctrl+Alt+Delete        |
|     打开或隐藏网络连接     |             Win+K             |
|       打开文件管理器       |       Win+E,Ctrl+Alt+E        |
|          锁住屏幕          |       Ctrl+Alt+L,Win+L        |
|          打开终端          |       Ctrl+Alt+T,Win+T        |
|          打开设置          |             Win+I             |
|     显示或隐藏全局搜索     |             Win+S             |
|      显示或隐藏侧边栏      |             Win+A             |
|       打开系统监视器       |       Ctrl+Shift+Escape       |
|       打开服务与支持       |             Win+F             |
|        打开开始菜单        |              Win              |
|          打开帮助          |              F1               |
| 选择文档或窗口中的所有项目 |            Ctrl+A             |
|            复制            |            Ctrl+C             |
|            粘贴            |            Ctrl+V             |
|            剪切            |            Ctrl+X             |
|          前进操作          |            Ctrl+Y             |
|          后退操作          |            Ctrl+Z             |
|     多媒体前进一段时间     |   XKB_KEY_XF86AudioForward    |
|          减小音量          | XKB_KEY_XF86AudioLowerVolume  |
|           未定义           |    XKB_KEY_XF86AudioMedia     |
|         麦克风静音         |   XKB_KEY_XF86AudioMicMute    |
|            静音            |     XKB_KEY_XF86AudioMute     |
|        多媒体上一首        |     XKB_KEY_XF86AudioNext     |
|         播放/暂停          |    XKB_KEY_XF86AudioPause     |
|            播放            |     XKB_KEY_XF86AudioPlay     |
|        多媒体下一首        |     XKB_KEY_XF86AudioPrev     |
|          增大音量          | XKB_KEY_XF86AudioRaiseVolume  |
|          随机播放          |  XKB_KEY_XF86AudioRandomPlay  |
|         播放/暂停          |    XKB_KEY_XF86AudioRepeat    |
|     多媒体后退一段时间     |    XKB_KEY_XF86AudioRewind    |
|            停止            |     XKB_KEY_XF86AudioStop     |
|        性能模式切换        |      XKB_KEY_XF86Battery      |
|          开关蓝牙          |     XKB_KEY_XF86Bluetooth     |
|        显示模式切换        |      XKB_KEY_XF86Display      |
|           未定义           |       XKB_KEY_XF86Eject       |
|         打开浏览器         |     XKB_KEY_XF86Explorer      |
|         未定义功能         |     XKB_KEY_XF86Messenger     |
|          调亮屏幕          | XKB_KEY_XF86MonBrightnessDown |
|          调暗屏幕          |  XKB_KEY_XF86MonBrightnessUp  |
|        电源按钮按下        |     XKB_KEY_XF86PowerOff      |
|     开启/关闭飞行模式      |      XKB_KEY_XF86RFKill       |
|         关闭触摸板         |    XKB_KEY_XF86TouchpadOff    |
|         开启触摸板         |    XKB_KEY_XF86TouchpadOn     |
|      开启/关闭触摸板       |  XKB_KEY_XF86TouchpadToggle   |
|         开关摄像头         |      XKB_KEY_XF86WebCam       |
|       开启/关闭网络        |       XKB_KEY_XF86WLAN        |
