# System Installation
## Minimum configuration and recommended configuration

| Version Form | Minimum Memory | Recommended Memory  | Minimum Disk Space | Recommended Disk Space |
|------|------|-------|--------|--------|
| Desktop System | 2GB  | Greater Than 4GB | 50GB   | Greater Than 80GB |

Table 1 Minimum configuration and recommended configuration

<br>

## Platform Differences

Platform of Hisilicon: The default is to use direct installation mode, without trial installation. The default is to use OOBE mode. There is no step of Choose your app.

## Installation Preparation

1)Prepare the required components

Installation CD/U-disk, "Kylin Desktop Operating System V10 Installation Manual"

2)Check hardware compatibility

The Kylin desktop operating system has good hardware compatibility and is compatible with most hardware produced in recent years. Due to frequent changes in hardware technical specifications, it may be difficult to ensure that the system is 100% compatible with hardware.

3)Back up data

Please backup the important data to other storage devices before installing system.

4)Hard disk partition

A hard disk can be divided into multiple partitions and they are independent of each other. So accessing different partition is like accessing different hard disk.
A hard disk can have up to four primary partitions. If you want to have more than four partitions on a hard disk, you need to set the Partition type to logical partition.

## Install Steps

1)Hard disk partition

Insert the installation CD into the optical drive and restart the machine. Press the corresponding shortcut key to enter the firmware management interface according to the prompt during firmware startup. If using a built-in optical drive, select "Optical Drive" for the "First Boot Option"; If using a USB or USB external optical drive, select "USB" for the "First Boot Option". This system supports experience mode and can try a fully functional operating system without installing it.

2)System installation

If you choose "Try Kylin-Desktop V10-SP1 without installing", you will enter the trial interface, as shown in the following figure:

![Fig 1 Try the Kylin desktop operating system](image/1.png)

Double click the installation icon on the desktop, then irectly enter the installation boot interface, select the system language, and click "Next":

![Fig 2 Language select](image/2.png)

Read the license agreement, check 'I have read and agree to the terms of the agreement', and click 'Next':

![Fig 3 License agreement](image/3.png)

Select the system time zone, which defaults to the Beijing time zone. You can select the city to switch time zone from the drop-down list, or click on the city in the map to switch time zone and click "Next":

![Fig 4 Time zone select](image/4.png)

Enter the installation path selection interface. Choose "Install from live" or "Install from Ghost" based on the actual situation (Please refer to<u>Part 9</u>)，click "Next":

![Fig 5 Install from live](image/5.png)

Choose the installation method for the system. If you choose "Full install", the entire hard drive will be installed in the selected drive letter, formatted, and automatically partitioned，Please refer to<u>Part 5</u>; If you choose "Custom install", partition creation and partition size allocation can be carried out according to actual needs，please refer to<u>Part 6</u>。

## Full install
Select the 'Full install' option and select the disk to be installed:

![Fig 6 Full install](image/6.png)

If 'Factory backup' is checked, the factory status of the computer will be automatically backed up, and the backup files will be stored in the automatically created backup partition;

If 'lvm' is checked, logical volume management will be performed on the disk;

If the "save history data" option appears and "Keep User Data" is checked, the data on the system data disk (data partition) will be retained;

If "Full disk encryption" is checked, the Disk encryption password needs to be set, and then click "Next";

![Fig 7 Full disk encryption](image/7.png)

The system automatically partition the disk and displays the partitions. After confirming the installation drive letter, select 'Formatted the whole disk', and click 'Next';

![Fig 8 Confirm Full Installation](image/8.png)

## Custom install
Custom installation can design the size of each partition. The Disk partitioning interface appears after selecting "Custom install" in the Choose Instalation Method interface.

![Fig 9 Custom install](image/9.png)

If you need to clear the existing partitions, click "Create partition table", and select "OK" in the pop-up prompt window. If there is no need to clear it, edit, add, or delete it directly on the original partition table.

![Fig 10 Create partition table](image/10.png)

Select the line of "freespace" and click "+" to create a partition:

Firstly, create a boot partition, where /boot must be the first partition in the primary partitions; continue to create the root partition (/), backup, and tmp partitions, and select whether to create the efi partition according to the installation boot prompt. When creating a new partition, select 'Primary' for 'Type of new partition', 'Location for the new partition' defaults to 'Beginning of this space', and 'Used to' selects' ext4 ':

![Fig 11 Create Partition](image/11.png)

If you need to change the created partition midway, the specific operation method is as follows:

a)Add Partition: Select the line of "freespace" and click "+" to create a partition;

b)Modify partition: Select the created partition and click the symbol pen button on the right；

c)Delete a partition: Select the created partition and click the "-" button;

d)Revert partition：click the "Revert" button;

After completing the custom install, as shown in the following figure, click "Next" button:

![Fig 12 Custom install completed](image/12.png)

After confirming the installation drive letter, select 'Confirm the above operations', and click 'Next';

![Fig 13 Confirm Custom Installation](image/13.png)

After the custom partition is completed, click "Start Installation". The subsequent steps are the same as the full installation. After waiting for completion, restart the computer to enter the system.

## Register account

If you need to **create an account now**, you can choose "Register immediately", then enter the username, and the system will automatically fill in the recommended host name. You can make modifications to these contents. Set the login password and enter it again to confirm. Check "Automatic login on boot" to set that there is no need to enter a password when logging in to the system upon startup. After setting up, click 'Next';

![Fig 14 Register account](image/14.png)

![Fig 15 Create User](image/15.png)

If you need to <b>create an account after installation is complete</b>, you can choose "Register later". The system will first start installing the system, and then create a user account when entering the system again.

During the system installation process, real-time installation logs can be viewed, as shown in the following figure:

![Fig 16 System installation interface](image/16.png)

![Fig 17 System Installation Log](image/17.png)

After installation, the interface is shown in the following figure. Click the 'Restart' button to restart the system.

![Fig 18 System installation completed](image/18.png)

During the restart process, the system will automatically eject the optical drive or prompt "Please remove the installation media and press the ENTER".

![Fig 19 Prompt interface for removing installation media](image/19.png)

Follow the prompt, after taking out the optical drive or USB flash drive, press "ENTER" (Enter key), wait for the file system to be scanned, and then proceed to the system interface. If you select "Create Later" when creating an account, you will enter the account creation interface.

![Fig 20 Scan File System](image/20.png)

## Choose you app
After creating a user, you can choose the software and drivers to install according to your needs. After entering the system desktop, the installation will automatically proceed.

![Fig 21 Choose software or driver installation](image/21.png)

![Fig 22 System configuration in progress](image/22.png)

![Fig 23 Login interface](image/23.png)

## Install from ghost
Please refer to the "Ghost Image" section of the "Backup and Restore" section in the user manual for Ghost image creation.

1)Copy the created Ghost image (existing in the/Ghost directory) to a removable storage device such as a USB flash drive.

2)After entering the trial system interface, connect to the mobile device.

3)Manually mount the device through the terminal and mount it to the/mnt directory. Normally, the mobile device is/dev/sdb1, and the command "fdisk - l" can be used to view the location of the mobile device.

Manual device mount command: sudo  mount  /dev/sdb1  /mnt

4)Double click on the icon 'Install Kylin' to start the installation boot. Enter the installation path selection interface and check "Install from Ghost".

![Fig 24 Install from Ghost](image/24.png)

5)clicks on the button "open file" to find a ghost mirror file；

![Fig 25 Select Ghost image file](image/25.png)

6)Ghost installation does not require creating users or selecting a time zone. Please refer to the following installation steps<u>Part 4</u>or<u>Part 5</u>;

## Installation FAQs

1)When customizing the installation of kylin desktop operating system V10, must the newly created partition sda1 be a /boot partition and sda2 be a root partition?

In LEGACY startup mode, it has to be. The type of two Partition must be primary partitions. Other Partition type can be primary partitions or logical partitions, but the number of primary partitions of a single hard disk cannot exceed 4.
In UEFI startup mode, it is recommended to set the first partition as an efi partition. The efi and root partitions are necessary partitions.

2)How to solve the problem of not being able to access the installation interface when installing with a CD or USB drive?

Press and hold F2 to enter the BIOS interface (the corresponding button for different model of machines is different, please operate according to the specific model) , select "CD/DVD" or "USB" to start; Then change the Secure boot to Disabled under the Security tab; Under the Startup tab, change UEFI/LEGACY BOOT to Both or LEGACY First to solve the problem.

3)How can I solve the problem of the kylin desktop operating system V10 being unable to install or failing to install?

Please check if the architecture is consistent first. The operating system architecture must be the same as the machine architecture to be installed, otherwise the installation cannot be successful; Secondly, check whether the installation media is normal, and eliminate the problems with the CD and CD drive; Finally, check if the boot option configuration is correct.

4)The installation of kylin desktop operating system V10 is stuck and cannot proceed. The solution to the error message "call trace".

Start up and enter the system boot interface. Follow the prompts below and press 'e' to enter the grub interface, add acpi=off at the end of the Linux line, and then press Ctrl+X to boot to solve the problem.

5)How do I know the installation time of kylin desktop operating system V10?

Open the terminal input command "sudo tune2fs - l/dev/sda1 | grep Filesystem" to obtain the file system creation time as a reference for the installation time, where /dev/sda1 is the boot partition.

6)Does the kylin desktop operating system V10 support ghost mode installation of the system?

The kylin desktop operating system V10 SP1 2203, 2303 and 2403 versions support ghost installation mode.

7)How do I access the BIOS interface when installing the kylin desktop operating system V10?

Taking Lenovo CF4620Z as an example, restart the machine, wait for a moment, and when the hardware logo appears on the screen, press the Fn+F12 keys to enter the BIOS. Press the ESC key to exit the BIOS. Different machines require different keys to be pressed, which can be operated according to the specific model situation.

8)How long does it usually take to install the kylin desktop operating system V10?

"Quick Install" only takes three minutes.

9)How to obtain discs and images?

Both the CD and the image need to be purchased by a business official. If you want to have a trial experience, you can go to the official website of kylin Software - Product Plan, select the desktop operating system, select the version you want to experience, click Apply for Trial, fill out the product trial application form, and submit it to obtain the trial image file of the kylin desktop operating system.

10)Does the kylin desktop operating system V10 have a USB flash drive creation tool?

The kylin desktop operating system V10 comes with a USB drive launcher, which can be opened and used through the Start menu - All Programs - USB Boot Maker.

11)How to check whether the Boot disk is successfully created?

Enter the root directory of the Boot disk and enter the command "sudo md5sum - c md5sum.txt | grep - v success | grep - v". If no failure log appears, the startup recording is successful.

12)How to handle the installation failure interface?

V10 SP1 versions 2203, 2303, and 2403 have installation failure interfaces, which will display corresponding installation failure logs. You can troubleshoot based on the displayed logs. To eliminate occasional occurrences, it is recommended to try a second installation.

## Problem during startup

（1）What should I do when I start and stop on the kylin logo interface?

Insert the system installation CD into the machine and set the first boot item to the optical drive during the BIOS phase (if it is an external USB interface optical drive, set it to USB). Start the system and select trial mode. Open the terminal and enter "df - h" to view the disk partition where the root partition is located. Enter 'sudo fsck/dev/sda5' (/dev/sda5 is the disk partition where the root partition obtained in the previous step is located), repair it, and restart to enter the system normally.

（2）How to start a service when the kylin desktop operating system V10 starts?

The following demonstration starts the SSH service, logs in to the system, opens the terminal, and executes the following command:

sudo systemctl enable ssh

（3）How to set the startup option?

Open the Start menu - Settings - Applications - Boot to manage boot items.
