# 系统安装
## 最低配置与推荐配置

| 版本形态 | 最小内存 | 推荐内存  | 最小硬盘空间 | 推荐硬盘空间 |
|------|------|-------|--------|--------|
| 桌面系统 | 2GB  | 4GB以上 | 50GB   | 80GB以上 |

表1 最低配置与推荐配置

<br>

## 平台差异

华为海思平台：默认使用直接安装模式，无试用安装。默认使用OOBE模式。无软件安装阶段。

## 安装准备

1)准备所需组件

安装光盘或U盘启动器、《银河麒麟桌面操作系统V10安装手册》

2)检查硬件兼容性

银河麒麟桌面操作系统具有良好的硬件兼容性，与近年来生产的大多数硬件兼容。由于硬件的技术规范改变频繁，因此可能难以保证系统会百分之百地兼容硬件。

3)备份数据

安装系统之前，请将硬盘上的重要数据备份到其他存储设备中。

4)硬盘分区

一块硬盘可以被划分为多个分区，分区之间是相互独立的，访问不同的分区如同访问不同的硬盘。一块硬盘最多可以有四个主分区，如果想在一块硬盘上拥有多于四个分区，就需要把分区类型设为逻辑分区。

## 安装引导

1)硬盘分区

将安装光盘放入光驱中，重启机器。根据固件启动时的提醒，按下相应快捷键进入固件管理界面。若使用的是内置光驱，“第一启动选项”选择“光驱”；若使用的是USB或者USB外置光驱，“第一启动选项”选择“USB”。本系统支持体验模式，可试用一个全功能的操作系统而不安装。

2)系统安装

如选择“试用银河麒麟桌面操作系统”，则会进入试用界面，如下图所示：

![图 1 试用银河麒麟桌面操作系统界面](image/1.png)

双击图标“安装 Kylin”，开始安装引导，则直接进入安装引导界面，选择系统语言，单击“下一步”：

![图 2 选择系统语言](image/2.png)

阅读许可协议，勾选“我已阅读并同意协议条款”，点击“下一步”；

![图 3 阅读许可协议](image/3.png)

选择系统时区，默认为北京时区，可以在下拉列表中选择城市切换时区，或在地图中点选城市切换时区，点击“下一步”：

![图 4 选择时区](image/4.png)

进入选择安装途径界面。根据实际情况选择“从Live安装”或“从Ghost安装”（请见<u>第9部分</u>），点击“下一步”；

![图 5 选择从Live安装](image/5.png)

选择系统的安装方式。如选择“全盘安装”，将在选择的盘符中进行全盘安装，格式化整个硬盘，并进行自动分区，详见<u>第5部分</u>；如选择“自定义安装”，可根据实际需要，进行分区创建和分区大小分配，详见<u>第6部分</u>。

## 全盘安装
选择“全盘安装”选项，选中待安装的目标盘符；

![图 6 全盘安装](image/6.png)

若勾选“出厂备份”，则会自动备份出厂状态，备份文件存放于自动创建的backup分区下。

若勾选“逻辑卷”，则会对磁盘进行逻辑卷管理；

若出现“保留用户数据”选项，且勾选“保留用户数据”，则会保留系统数据盘(data盘)的数据；

若勾选“全盘加密”，需要设置磁盘加密密码，完成后，点击“下一步”；

![图 7 全盘加密](image/7.png)

系统在该磁盘中自动分区并显示分区结果，确认安装盘符后，选中“格式化整个磁盘”，然后点击“下一步”;

![图 8 确认全盘安装](image/8.png)

## 自定义安装
自定义安装可以自行设计各硬盘分区大小。在选择安装方式界面选择“自定义安装”后出现硬盘分区界面。

![图 9 自定义安装](image/9.png)

若需要清空现有分区，点击“创建分区表”，在弹出的提示窗口中，选择“确定”，若不需要清空则直接在原有分区上进行编辑、增加或删除。

![图 10 创建分区表](image/10.png)

选中“空闲”所在行，选择“+”即可创建硬盘分区：

首先创建boot分区，/boot必须是主分区中的第一个分区；继续创建根分区（/）、backup、tmp分区，efi分区根据安装引导提示选择是否创建。在创建分区时，“新分区的类型”选择“主分区”，“新分区的位置”默认为“剩余空间头部”，“用于”选择“ext4”：

![图 11 新建分区](image/11.png)

若是中途需要改变已创建的分区，具体操作方式如下所示：

a)添加分区：选中空闲分区所在行，点击“+”按钮；

b)编辑分区：选中已创建的分区，点击右侧的符号笔按钮；

c)删除分区：选中已创建的分区，点击“-”按钮；

d)还原分区：点击“还原”按钮；

自定义分区完成后如下图所示，点击“下一步”：

![图 12 自定义分区完成](image/12.png)

查看自定义安装的盘符分配结果，勾选“确认以上操作”，点击“开始安装”：

![图 13 确认自定义安装](image/13.png)

自定义分区完成后，点击“开始安装”，后续步骤与全盘安装一致，等待完成后重启电脑即可进入系统。

## 创建账户

如需要**立即创建帐户**，可选择“立即创建”，输入用户名，系统自动填充推荐的主机名，可进行修改，设置登录密码并再次输入密码进行确认，勾选“开机自动登录”可设置开机登录系统时不需要输入密码，设置完成后，点击“下一步”；

![图 14 创建账户](image/14.png)

![图 15 创建用户](image/15.png)

如需要<b>安装完成后再创建帐户</b>，可选择“稍后创建”，系统会先开始安装系统，完成后再次进入系统时进行用户帐户创建。

系统安装过程中可查看实时的安装日志，如下图所示：

![图 16 系统安装界面](image/16.png)

![图 17 系统安装日志](image/17.png)

安装完成后，界面如下图所示，点击“现在重启”按钮，系统重新启动。

![图 18 系统安装完成](image/18.png)

重启过程中系统会自动弹出光驱或提示“请取出安装介质，然后按ENTER键”。

![图 19 取出安装介质提示界面](image/19.png)

按照提示，取出光驱或U盘后，按“ENTER”（回车键），等待扫描文件系统后进行系统界面，若创建账户时选择了“稍后创建”，则进入创建账户界面。

![图 20 扫描文件系统](image/20.png)

## 软件安装
创建用户后，可根据需要选择安装的软件及驱动，在进入系统桌面后会自动进行安装。

![图 21 选择软件或驱动安装](image/21.png)

![图 22 正在进行系统配置](image/22.png)

![图 23 登录界面](image/23.png)

## Ghost安装
Ghost镜像制作请参考用户手册中“备份还原”的“Ghost镜像”部分。

1)把制作好的Ghost镜像（存在于/ghost目录下）拷贝到U盘等可移动存储设备。

2)进入试用系统界面后，接入可移动设备。

3)通过终端手动挂载设备，将设备挂载到/mnt目录下。通常情况下，移动设备为/dev/sdb1，可使用命令“fdisk -l”查看移动设备所在位置。

手动挂载设备命令：sudo  mount  /dev/sdb1  /mnt

4)双击图标“安装 Kylin”，开始安装引导。进入选择安装途径界面，选择“从Ghost安装”。

![图 24 选择从Ghost安装](image/24.png)

5)点击“打开文件”，选择/mnt目录下的Ghost镜像文件；

![图 25 选择Ghost镜像文件](image/25.png)

6)Ghost安装无需创建用户和选择时区，后续安装步骤参见<u>第4部分</u>或<u>第5部分</u>；

## 安装常见问题

1)在自定义安装银河麒麟桌面操作系统V10时，新建分区sda1必须是/boot分区，sda2是根分区吗？

LEGACY启动方式，是的。且这两个分区类型必须是主分区，除这两个分区外其他分区类型可选择主分区或逻辑分区，但单个硬盘的主分区数量不超过4个。
UEFI的启动方式，建议将第一个分区设置成efi分区。其中efi和根分区是必要分区。

2)用光盘安装或者U盘安装时，无法进入安装界面怎么解决？

开机长按F2（不同型号机器不同，请根据具体机型情况操作）进入BIOS设置界面，选择“CD/DVD”或者“USB”启动；然后在Security选项卡下面将Secure boot改为Disable；在Startup选项卡下面，将UEFI/LEGACY BOOT 改为Both或者LEGACY First即可解决问题。

3)银河麒麟桌面操作系统V10无法安装，或安装失败怎么解决？

请先检查架构是否一致，操作系统架构必须与要安装的机器架构相同，否则不能安装成功；其次检查安装介质是否正常，排除光盘、光驱问题；最后排查引导选项配置是否正确。

4)安装银河麒麟桌面操作系统V10卡住无法进行，提示错误信息“call Trace”的解决方法。

开机进入系统引导界面，根据下方提示按“e”进入grub界面，在Linux行末增加acpi=off，然后再按Ctrl+X引导即可解决。

5)如何获知银河麒麟桌面操作系统V10的安装时间？

打开终端输入命令“sudo tune2fs -l /dev/sda1| grep Filesystem”，可获知文件系统创建时间，作为装机时间的参考，其中/dev/sda1为boot分区。

6)银河麒麟桌面操作系统V10是否支持ghost模式安装系统？

银河麒麟桌面操作系统V10 SP1 2203、2303以及2403版本支持ghost安装模式。

7)安装银河麒麟桌面操作系统V10时，怎么进入BIOS界面？

以联想CF4620Z为例，重启机器，等待片刻，待屏幕出现硬件的logo时，按Fn+F12键即可进入BIOS，按ESC键退出BIOS，不同机器需要按的键不一样，可根据具体机型情况操作。

8)安装银河麒麟桌面操作系统V10一般需要多久时间？

全盘安装仅需要三分钟

9)如何获取光盘和镜像？

光盘和镜像都是需要找商务正式购买获取的，若想试用体验可进入麒麟软件官网-产品方案，选择桌面操作系统，选择要体验的版本点击申请试用，填写产品试用申请表单提交后即可获取到银河麒麟桌面操作系统的试用镜像文件。

10)银河麒麟桌面操作系统V10有没有U盘启动制作工具？

银河麒麟桌面操作系统V10自带U盘启动器，可通过开始菜单-所有程序-U盘启动器来打开使用。

11)如何检查启动盘是否制作成功？

进入启动盘的根目录，输入命令“sudo md5sum -c md5sum.txt | grep -v success | grep -v”，若没有出现失败日志，表示启动刻录成功。

12)出现安装失败界面如何处理？

V10 SP1 2203、2303以及2403版本出现安装失败界面，界面会显示对应的安装失败日志。可以根据显示的日志进行排查。为排除偶发现象，建议尝试进行第二次安装。

## 启动问题

（1）开机启动停在银河麒麟logo界面怎么办？

将系统安装光盘插入机器，在BIOS阶段将第一启动项设置为光驱（如果为USB接口外置光驱则设置为USB）。启动系统选择试用模式，打开终端，输入“df -h”，查看根分区所在磁盘分区。输入“sudo fsck /dev/sda5”（/dev/sda5为上一步得到的根分区所在磁盘分区），修复完毕后重启，即可正常进入系统。

（2）如何在银河麒麟桌面操作系统V10开机时启动某服务？

如下演示开机启动ssh服务，登录系统，打开终端执行以下命令：

sudo systemctl enable ssh

（3）如何设置开机启动项？

打开开始菜单-设置-应用-开机启动可以管理开机启动项。
