# Desktop environment
## Go to the desktop

The following will introduce the basic functions provided by the Galaxy Kirin desktop operating system, so that you can have a preliminary understanding of the desktop operating system, understand how to use the basic functions and how to simply manage the desktop operating system.

### Login
After starting the computer, enter the Galaxy Kirin interface. According to the settings, the system will select automatic login or stay in the login window to wait for login by default.

![Figure 1 Login Interface](image/1.png)

After starting the system, the system will prompt for the password, that is, the user name and password created in the system. Generally, the user name and password are set during system installation. After selecting the login user, enter the correct password, click the login button to access the desktop, and click the hide/unhide button to hide/display the password.
<br>

## Desktop environment

The desktop is the screen area for main operations after login. On the desktop, you can use the external mouse and keyboard to perform basic operations on the operating system, such as creating new files/folders, arranging files, opening terminals, setting wallpapers and screensavers, and sidebars. You can also add application shortcuts to the desktop.

The initial desktop of Galaxy Kirin is composed of icons, taskbar, and desktop background. By default, three icons are placed: computer, recycle bin, and home folder. Double-click with the left mouse button to open.

|Icon | Description
| :------------ | :------------ |
|![](image/icon1.png) | Computer: Displays the drives and hardware connected to this computer
|![](image/icon2.png) | Recycle Bin: displays files deleted to the Recycle Bin
|![](image/icon3.png) | Home folder: display personal home directory

<br>

![Figure 2 Initial Page](image/2.png)

Select the computer icon, right-click and select Properties to view the current system version, kernel version, activation status and other related information.

![Figure 3 System Overview](image/3.png)

Right-click in the blank space of the desktop to bring up the desktop right-click menu, and you can perform some operations easily and quickly.

![Figure 4 Desktop right-click menu](image/4.png)

|Options | Description|
|---------|---------------------------|
|Open in a new window | Open the currently specified file or directory in a new window|
|Select All | Select all files in the current directory|
|New | New folder, empty text, WPS file can be created|
|View type | Four view types are provided: small icon, medium icon, large icon and large icon|
|Arrange by | Provides multiple ways to arrange icons|
|Refresh | Refresh the interface|
|Open terminal | Open terminal software|
|Set the background | Quick Open Settings ->Personalization ->Background, you can set the background|
Table 1-2 Description of desktop right-click menu

## Power management
Power management is the most basic function of the desktop operating system. It can modify the current desktop operating system power status and current account status, including Hibernate, Suspend, Lock Screen, Log Out, Restart, and Shut Down. You can also open the system monitor in the current interface. Opening method: **"Start Menu"** ![](image/icon4.png)>**"Power"**. ![](image/icon5.png)
![Figure 5 Power supply](image/5.png)

- Hibernate

The system will automatically transfer all data in memory to a sleep file on the hard disk, and then cut off the power supply to all devices. In this way, the system will read the contents of the hibernation file directly into the memory from the hard disk and restore it to the state before hibernation. Hibernate wake-up requires the power key or hibernate key.

- Suspend

During sleep, the power of other accessories except the memory will be cut off, and the data of the working state will be saved in the memory, so that when you wake up the computer again, you can quickly restore the working state before sleep. If you need to leave for a short time, you can use the sleep function. Sleep wake-up can be achieved by pressing the mouse button, sleep button and power button.

- Lock Screen

When you do not need to use the computer temporarily, you can choose to lock the screen (which will not affect the current operation status of the system) to prevent misoperation. When you return, enter the password to re-enter the system. By default, the system will automatically lock the screen after a period of idle time.

- Log Out

Log out of the currently used user and return to the user's login location, which is mainly used in scenarios when logging in with other user accounts.

- Restart

Log out and restart your computer.

- Shut Down

Log out and shut down your computer.

## Files and folders

Folders can help organize your data, including desktop applications, files and folders. You can create new files/folders directly on the desktop, and you can also perform regular operations such as copying, pasting, renaming, and deleting files/folders.

Right-click on the desktop, click "**New**", select the new file type or new folder, and enter the name of the new file/folder.

Right-click a desktop file or folder to use the relevant functions of the file manager.

|Name | Description|
|--------|-----------------------------|
|Open | Open file/folder|
|Open Method | Select the system default open method, or select other associated applications to open|
|Reverse selection | Reverse selection of desktop files/folders|
|Copy | Copy a file or folder|
|Cut | Move a file or folder|
|Rename | Rename a file or folder|
|Send to mobile assistant | Send file to mobile assistant|
|Send to mobile device | Send files to the selected mobile device|
|Compress | Compress files/folders|
|Unzip here | Unzip to the same directory|
|Extract to| Unzip to the selected directory|
|Virus scanning | Open Security Center to scan files/folders for viruses|
|Picture printing | Select a printer to print pictures when the file is a picture|
|Properties | View the basic information, sharing method, and permissions of a file or folder|
Table 1-3 File Manager

## Icon arrangement and size
The size of icons on the desktop can be adjusted, and the icons on the desktop can be sorted as needed. The system provides four icon size settings by default, namely, small icon, medium icon (default), large icon and large icon.

Hover the mouse over the application icon, hold down the left mouse button, drag the application icon to the specified location, and release the left mouse button to release the icon.

Right-click, select **View Type**, and select an appropriate icon size.
- Small icons;
- Middle icon;
- Large icon;
- Large icons.

Right-click and select **Sorting Method**. The system provides the following four sorting methods:
- Click the file name and it will be displayed in the order of file name;
- Click the modification date, and the document will be displayed in the order of the latest modification date;
- Click the file type and it will be displayed in the order of file type;
- Click File Size and it will be displayed in the order of file size.

## Taskbar

The taskbar is used to view the system startup application and the system tray icon, which is located at the bottom of the desktop. By default, the task bar places the start menu, display task view, file manager, system tray icon, etc. In the task bar, you can open the start menu, display the desktop, enter the work area, open, create, close, and forcibly exit the application, and set the input method, adjust the volume, connect to the network, view the calendar, search, and enter the shutdown interface.

|Icon | Name | Description|
|--------|------------------|----|
|![](image/icon6.png) | Start menu | Start menu, view system applications|
|![](image/icon7.png) | Display task view | Display multi-task view, switch multiple desktop windows|
|![](image/icon8.png) | File Manager | File and folder management|
|![](image/icon26.png) | Software Store | Search, download and uninstall of software|
|![](image/icon10.png) | Search | Create an index to quickly get search results|
|![](image/icon9.png) | Keyboard | Switch keyboard input method/input language|
|![](image/icon11.png) | Network settings | Set network connection|
|![](image/icon12.png) | Sidebar | System notification center, clipboard, widget|
|![](image/icon13.png) | Sound | Adjust the sound size|
|![](image/icon14.png) | Bluetooth | Turn Bluetooth on and off, set Bluetooth device|

Hold the mouse on the task bar and click the right button to open the setting window of the task bar. The setting items and descriptions are shown in the following table:

|Settings | Description|
|----------|---------------------|
|Show task view buttons | Set whether the task bar displays task view buttons|
|Display desktop | Set whether to display the current task of the desktop|
|System Monitor | Open System Monitor|
|Resize | Resize the taskbar: small, medium, large|
|Adjust position | Adjust the position of the taskbar: up, down, left, right|
|Hide the taskbar | Set to hide the taskbar|
|About Kirin | Open About Kirin|

![Figure 6 Taskbar Settings](image/6.png)

## Start Menu

Start menu is ![](image/icon15.png) Use the "starting point" of the system to view and manage all the installed applications in the system. Use the classification navigation or search function in the menu to quickly locate the required applications.

The start menu has two modes: large window and small window. Click the icon in the upper right corner of the start menu interface to switch modes.

Both modes support searching applications, setting shortcuts and other operations.

The small window mode also supports the functions of quickly opening the file manager, control center and entering the shutdown interface.

![Figure 7 Small window mode](image/7.png)
![Figure 8 Large window mode](image/8.png)

#### Find apps

In the Start menu, you can use the mouse wheel or switch to sort navigation to find applications. If the application name is known, you can directly enter the application name or keyword in the search box to quickly locate.

#### Running applications

For applications that have created desktop shortcuts or fixed to the taskbar, you can open the application through the following ways:

- Double-click the desktop icon, or right-click the desktop icon and select Open.
- After clicking to open the start menu, directly click the application icon to open it;
- Click the application icon on the taskbar directly, or right-click the application icon on the taskbar to select Open.

## Installation and uninstallation
This operating system provides a convenient way to install and uninstall application software, which can be installed and uninstalled independently according to your needs.

### Install apps

(1) Software Store Installation

The Galaxy Kirin desktop operating system has its own software store, which can support one-click download and installation of applications. For details, please refer to the<u>Software Store</u>section in the manual.

(2) Installer installation

The Galaxy Kirin desktop operating system provides a graphical installer that supports single or batch installation of software packages. For details, please refer to the<u>Installer</u>section in the manual.

#### Uninstall app

For applications that are no longer used, they can be uninstalled in a centralized way to save hard disk space.

(1) Uninstall apps installed through the installer:
Please refer to the<u>Installer</u>section in the manual.

(2) Uninstall apps installed through the software store:

Method 1: In "**Start Menu**", right-click the application icon and select "**Uninstall**";

Method 2: Open the software store, click "**My**", enter "**Application Uninstall**", select the application to be uninstalled and click Uninstall.

## Sidebar
The sidebar contains three modules, Recent Message, Quick Entry, and Clipboard. You can click "Sidebar" in the lower right corner of the taskbar ![](image/icon16.png) icon or shortcut key "Win+A" to open the sidebar

![Figure 9 Sidebar](image/9.png)

- Notification Center

Important notifications are displayed by default. Click the icon in the upper right corner to switch different notification tabs. Click the setting button to set "Get notifications from applications". You can select applications that allow notifications according to your needs.

![Figure 10 Notification Center](image/10.png)

- Shear plate

The recently copied text or screenshot will be displayed here. You can find, select or edit the required content by yourself. The system will automatically empty after restarting.

![Figure 11 Clipboard](image/11.png)

- Quick entrance

Quick access to settings and applications, including night mode, flight mode, screen projection, alarm clock, quick screenshot, notepad, service and support. Click the corresponding icon to quickly set or start, and you can also drag the corresponding entry to set the system volume and brightness.

![Figure 12 Quick Access](image/12.png)

## Show task view
By displaying the task view, you can switch the task view and the desktop workspace to group and manage the desktop windows. The window manager can display different window contents in different workspaces.

Click "Show Task View" on the task bar ![](image/icon7.png) icon can open the task view window management, select the corresponding task window to switch the desktop window, select the corresponding workspace to switch the desktop, and drag the workspace window to adjust the order.
![Figure 13 shows the task view](image/13.png)

## Calendar
You can check the date, holiday information and the calendar through the calendar function.

Click the time and date in the lower right corner of the desktop to open the calendar interface.

![Figure 14 Calendar](image/14.png)

- Month jump: click the up and down buttons to jump to a single month; Or click the<b>"Month"</b>button to jump to the page of selecting month and select month.

![Figure 15. Switch](image/15.png)

- Year switching: click the<b>"Year"</b>button to jump to the page of selecting the year calendar. After selection, the corresponding jump will be realized.

![Figure 16 Year switch](image/16.png)

- Jump to today: click the<b>"Today"</b>button to jump to today's date calendar page.

![Figure 17 Jump Today](image/17.png)

## Kylin Education Workspace
Kylin Education Workspace is a desktop plug-in tool workspace that integrates common software for teachers, so that teachers can quickly find the software they need in the process of lesson preparation and teaching.

- login

After the system starts, log in to the Kylin ID in the Settings - Account module, and after the login is completed, the Kylin Education workspace will also log in to the Kylin ID synchronously;

After the system starts, after the Kylin Education workspace is automatically started on the desktop, click the [Account Login] module, enter the Kylin ID account, and after the login is completed, the system Kylin ID will also be logged in synchronously.

In the Workspace Account module, click Account and log out. The system also logs back at the same time. Or click Account Logout in the Settings - Account module, and after logging out, KyLinEducation Workspace will also log out of the account login at the same time.

If you log in to the cloud account of the system, the data of the education workspace will be synchronized to the cloud account until the logout, and the data and configuration changes will be retained locally after the logout.

- Cloud account data synchronization

In the cloud account management module, open the data synchronization button of the education workspace, and the data in the workspace and the historical data of personalized configuration will be synchronized from the cloud account. At the same time, the local data will also be synchronized to the cloud account, which is not enabled by default. The system does not log in to the cloud account, but only to the local account, and the data in the workspace is local data. 

- Application management

The main page of the plug-in displays 11 apps by default, including (Xiwo, Polar, Yixin, WPS, WeChat, etc.)

Click the application management button, and a list of educational apps will pop up on the left, and you can click + to add the apps in the list to the workspace homepage.
Click the Application Management button, and click the application icon on the workspace homepage to remove the display of the application in the workspace, but you cannot uninstall the application. Apps removed from a workspace are displayed on the desktop if they have a shortcut on the desktop, but if they do not have a shortcut, they are not displayed.

- App download and installation

The plugin homepage displays all default and custom-added apps (pre-installed + non-pre-installed)

Pre-installed apps can be opened and used directly, while unpre-installed apps will be downloaded and then installed after double-clicking the app, and can be used after the installation is completed.

## User Manual FAQ
- Manual Questions
How to view the user manual?

The user manual can be found by pressing F1 in the desktop environment or in the Start Menu - All Software.

- Peripheral use

(1) What should I do if there is no space left in the empty disc recording file of Galaxy Kirin desktop operating system V10?

RW's DVD disc will cause this problem. You can replace it with R's DVD disc.

(2) How does Galaxy Kirin desktop operating system V10 burn a CD?

The Galaxy Kirin desktop operating system V10 provides recording tools. Please obtain the detailed usage of recording through the user manual.

(3) How do I get a printer driver and use a printer?

Most of the drivers of the printers that have been adapted have been integrated into the system. If there is no driver, you need to obtain it from the printer manufacturer. The direct-connected printer can be recognized in the add interface, and can be added directly. Please obtain the detailed usage of the printer through the user manual.

(4) What about the printers supported by Galaxy Kirin desktop operating system V10? Is there a list of corresponding printers?

You can log in to the official website of Kirin Software - Compatibility List to check the printer adaptation.

(5) What about some abnormal printing phenomena such as garbled code and incorrect number of pages when printing with the system's own driver?

Please confirm whether the printer driver version is the latest. If you still have this problem, please call the customer service number of Kirin Software.

(6) Printer problems

1. Problems related to printing the test page

① If white paper, garbled code, and multiple sheets of paper appear when printing the test page, it means that the printer driver does not match, and other compatible drivers can be selected.

② If you fail to select the recommended driver to print the test page when adding a printer, it is recommended to select a driver similar to the model to try. Some compatible drivers can be used.

③ A printer model can correspond to multiple printer drivers. If the recommended driver fails, try another driver under the model.

2. The printer cannot print on both sides

① This usually happens because the driver does not support it, so there is no two-sided printing option for printing properties;

② If the form can be printed on both sides, but the wps document cannot be printed on both sides, the drive problem is eliminated;

③ Try changing the value of Duplex in the print property to true.

3. How to use the printer's scanning function

Open the "**Start Menu**">"**All Programs**">"**Scan Easy**" page to add a scanner; If the scanner cannot be easily recognized by scanning, the driver may not support it, and only the printing function is supported.

4. How to start cups service

Enter the command "sudo systemctl restart cups" in the terminal window.

5. The shared printer cannot be connected at the client

Confirm whether the cups service is started: "sudo service cups status".

6. Realize samba anonymous access to shared printers

Terminal running: "sudo pluma/etc/samba/smb. conf", change "guest ok=no" in the print and printers section to "guest ok=yes". (About lines 242 and 253.)

7. Precautions for sharing printers with KylinOS
Before doing any share-related operations, remember:

① Make sure that the Kirin system has the driver of the relevant printer, otherwise the shared printer cannot be searched. The optional operation is to test whether the Kirin system can print the test page normally through the USB cable, otherwise, the drive problem should be solved before the sharing test.

② The related machines are all in the same network segment, not just pinging, otherwise they can be added, but cannot be printed.

If Windows adds a domain, Windows needs to close the firewall.
If Windows does not have a user name and password, click Verify directly. (Sometimes you will be prompted that the verification is not successful. Just click the "Forward" button directly.)

- Input question

(1) The input method doesn't work. What if there is no keyboard icon on the taskbar?

Fcitx needs to be reinstalled. Open the terminal and execute the command: sudo apt-get update; Sudo apt-get install fcitx.

(2) Are there any other input methods available?

The default Sogou input method of the system can also be used by downloading other input methods through the software store.

(3) What if the Sogou input method cannot be switched to five strokes, or some characters are entered incorrectly?

You can right click the Sogou input method icon on the desktop to enter the settings and select "Restore default configuration".

- Application problems

(1) Does Galaxy Kirin desktop operating system V10 have drawing software?

Galaxy Kirin desktop operating system V10 comes with drawing software, which can be opened through Start Menu - All Programs - Drawing.

(2) Does Galaxy Kirin desktop operating system V10 have video and audio software?

Galaxy Kirin desktop operating system V10 comes with music and audio software, which can be opened through Start Menu - All Programs - Music/Audio.

(3) What browser does Galaxy Kirin desktop operating system V10 support?

Galaxy Kirin desktop operating system V10 supports Firefox browser, Google browser, 360 browser, etc. You can visit the official website of Kirin software to view the software compatibility list, and download the corresponding browser through the software store.

(4) How to take a screenshot of Galaxy Kirin desktop operating system V10?

Galaxy Kirin desktop operating system V10 comes with screenshot software, which can be opened by shortcut keys: PrtSc full-screen screenshot, PrtSc+Shift area screenshot, or Start Menu - All Programs - screenshot.

- Other issues

(1) How to obtain the learning materials of Galaxy Kirin desktop operating system?

Through Kirin Software Education Development Center（ http://www.inst.kylinos.cn ）Learn the complete training course.

(2) Do you have any recommended hardware?

You can check whether the hardware product you want to purchase has been compatible with the Galaxy Kirin desktop operating system V10 in the compatibility page of Kirin software official website.

(3) Does it support Godson3A3000 and Feiten1500A models?

Galaxy Kirin desktop operating system V10SP1 2207 and later versions are no longer supported.

(4) How do I update the Galaxy Kirin desktop operating system to the latest version?

Galaxy Kirin desktop operating system V10SP1 can be upgraded to the latest version through system online update or offline package.

(5) Does Galaxy Kirin desktop operating system V10 support minority languages?

At present, Galaxy Kirin desktop operating system V10 language supports Chinese, English and Tibetan.
