# 桌面环境

## 进入桌面

下文将介绍银河麒麟桌面操作系统所提供的的基础功能，方便您对此桌面操作系统有初步的认识，了解基础功能的使用方式以及如何简单的管理桌面操作系统。

### 登录

开机启动计算机后进入银河麒麟界面，根据设置系统会默认选择自动登录或停留在登录窗口等待登录。

![图 1 登录界面](image/1.png)

当启动系统后，系统会提示输入密码，即系统中已创建的用户名和密码。通常用户名和密码在系统安装时进行设置，选择登录用户后，输入正确的密码，点击登录按钮即可访问桌面，点击隐藏/取消隐藏按钮即可实现密码隐藏/显示。
<br>

## 桌面环境

桌面是登录后主要操作的屏幕区域。在桌面上可以通过外置的鼠标和键盘对操作系统进行基本的操作，比如新建文件/文件夹、排列文件、打开终端、设置壁纸和屏保、侧边栏等，还可以向桌面添加应用的快捷方式。

银河麒麟初始桌面由图标、任务栏、桌面背景组成，默认放置了计算机、回收站、主文件夹三个图标，鼠标左键双击即可打开。

|图标|	说明
| :------------ | :------------ |
|![](image/icon1.png)| 计算机：显示连接到本机的驱动器和硬件
|![](image/icon2.png)| 回收站：显示被删除到回收站的文件
|![](image/icon3.png)| 主文件夹：显示个人主目录

<br>

![图 2 初始页面](image/2.png)

选中计算机图标，单击右键并选择属性，可以查看当前系统版本、内核版本、激活状态等相关信息。

![图 3 系统概述](image/3.png)

在桌面空白处单击右键，可以调出桌面右键菜单，可简单快捷地执行部分操作。

![图 4 桌面右键菜单](image/4.png)

| 选项      | 说明                        |
|---------|---------------------------|
| 在新窗口中打开 | 在新窗口打开当前指定的文件或目录          |
| 全选      | 全选当前目录的文件                 |
| 新建      | 可新建文件夹、空文本、WPS文件          |
| 视图类型    | 提供四种视图类型：小图标、中图标、大图标、超大图标 |
| 排列方式    | 提供多种排列图标的方式               |
| 刷新      | 刷新界面                      |
| 打开终端    | 打开终端软件                    |
| 设置背景    | 快捷打开设置->个性化->背景，可以进行背景的相关设置 |
| 显示设置    | 快捷打开设置->系统->显示器，可以进行显示器相关设置 |

表 1-2 桌面右键菜单说明

## 电源管理

电源管理是对桌面操作系统最基本的功能，能够实现对当前桌面操作系统电源状态及当前账户状态的修改，包括休眠、睡眠、锁屏、注销、重启、关机，您还可以在当前界面打开系统监视器。打开方式：**“开始菜单”** ![](image/icon4.png)> **“电源”**![](image/icon5.png)。

![图 5 电源](image/5.png)

- 休眠

系统会自动将内存中的数据全部转存到硬盘上一个休眠文件中，然后切断对所有设备的供电。这样当恢复的时候，系统会从硬盘上将休眠文件的内容直接读入内存，并恢复到休眠之前的状态。休眠唤醒需要通过电源键或休眠键。

- 睡眠

睡眠状态时，将切断除内存外其他配件的电源，工作状态的数据将保存在内存中，这样在重新唤醒电脑时，就可以快速恢复睡眠前的工作状态。如果您需要短时间离开，那么可以使用睡眠功能。睡眠唤醒可通过键鼠及休眠键，电源键。

- 锁屏

当您暂时不需要使用计算机时，可以选择锁屏（不会影响系统当前的运行状态），防止误操作。当您返回后，输入密码即可重新进入系统。在默认设置下，系统在一段空闲时间后，将自动锁定屏幕。

- 注销

登出当前使用的用户，并且返回至用户登录位置，主要用于使用其他用户账户登录时的场景。

- 重启

退出登录并重启您的计算机。

- 关机

退出登录并关闭您的计算机。

## 文件及文件夹

文件夹可以帮助收纳整理您的资料，包含桌面应用、文件及文件夹等。在桌面可直接新建文件/文件夹，也可以对文件/文件夹进行常规的复制、粘贴、重命名、删除等操作。 

在桌面单击鼠标右键，点击“**新建**”，选择新建文件类型或新建文件夹，输入新建文件/文件夹的名称。

在桌面文件或文件夹上单击鼠标右键，可以使用文件管理器的相关功能。

| 名称     | 描述                          |
|--------|-----------------------------|
| 打开     | 打开文件/文件夹                    |
| 打开方式   | 选定系统默认打开方式，也可以选择其他关联应用程序来打开 |
| 反选     | 反向选择桌面文件/文件夹                |
| 复制     | 复制文件或文件夹                    |
| 剪切     | 移动文件或文件夹                    |
| 重命名    | 重命名文件或文件夹                   |
| 发送到手机助手    | 发送文件至手机助手             |
| 发送到移动设备    | 发送文件至选择的移动设备中      |
| 压缩    | 压缩文件/文件夹                   |
| 解压到此处    | 解压到相同目录下                   |
| 解压到...    | 解压到选择的目录下                   |
| 病毒扫描    | 打开安全中心对文件/文件夹扫描病毒                   |
| 图片打印    | 文件为图片时支持选择打印机打印图片                   |
| 属性    | 查看文件或文件夹的基本信息，共享方式，及其权限                   |

表 1-3 文件管理器

## 图标排列和大小

桌面的图标大小可以进行调节，桌面上的图标按照需要进行排序。系统默认提供4种图标大小的设置，分别为小图标、中图标（默认）、大图标和超大图标。

将鼠标悬停在应用图标上，按住鼠标左键不放，将应用图标拖拽到指定的位置松开鼠标左键释放图标。

单击鼠标右键，选择“**视图类型**”，选择一个合适的图标大小。

- 小图标；
- 中图标；
- 大图标；
- 超大图标。

单击鼠标右键，选择“**排序方式**”，系统提供如下4种排序方式：

- 点击文件名称，将按文件的名称顺序显示；
- 点击修改日期，文件将按最近一次的修改日期顺序显示；
- 点击文件类型，将按文件的类型顺序显示； 
- 点击文件大小，将按文件的大小顺序显示。

## 任务栏

任务栏用于查看系统启动应用、系统托盘图标，位于桌面底部。任务栏默认放置开始菜单、显示任务视图、文件管理器、系统托盘图标等。在任务栏可打开开始菜单、显示桌面、进入工作区，对应用程序进行打开、新建、关闭、强制退出等操作，还可以设置输入法，调节音量，连接网络，查看日历，进行搜索，进入关机界面等。

| 图标     | 名称               | 描述 |
|--------|------------------|----|
|![](image/icon6.png)| 开始菜单   | 启动菜单，查看系统应用      |    
|![](image/icon7.png)| 显示任务视图 | 显示多任务视图，切换多个桌面窗口 |    
|![](image/icon8.png)| 文件管理器  | 文件及文件夹管理         |    
|![](image/icon26.png)| 软件商店  | 软件的搜索、下载及卸载         |  
|![](image/icon10.png)| 搜索   | 创建索引来快速获取搜索结果           |  
|![](image/icon9.png)| 键盘     | 切换键盘输入法/输入语言     |    
|![](image/icon11.png)| 网络设置   | 设置网络连接           |    
|![](image/icon12.png)| 侧边栏   | 系统通知中心，剪切板、小插件         |    
|![](image/icon13.png)| 声音     | 调节声音大小           |    
|![](image/icon14.png)| 蓝牙   | 打开、关闭蓝牙，设置蓝牙设备         |    

鼠标停留在任务栏点击右键可以弹出任务栏的设置窗口，设置项及说明如下表所示:

| 设置       | 说明                  |
|----------|---------------------|
| 显示任务视图按钮 | 设置任务栏是否显示任务视图按钮     |
| 显示桌面     | 设置是否显示桌面当前任务        |
| 系统监视器    | 打开系统监视器             |
| 调整大小     | 调整任务栏大小：小尺寸、中尺寸、大尺寸 |
| 调整位置     | 调整任务栏位置：上、下、左、右     |
| 隐藏任务栏    | 设置隐藏任务栏             |
| 关于麒麟     | 打开关于麒麟              |

![图 6 任务栏设置](image/6.png)

## 开始菜单

开始菜单是![](image/icon15.png)使用系统的“起点”，查看并管理系统中已安装的所有应用，在菜单中使用分类导航或搜索功能可以快速定位需要的应用程序。

开始菜单有大窗口和小窗口两种模式。点击开始菜单界面右上角的图标来切换模式。 

两种模式均支持搜索应用、设置快捷方式等操作。 

小窗口模式还支持快速打开文件管理器，控制中心和进入关机界面等功能。

![图 7 小窗口模式](image/7.png)

![图 8 大窗口模式](image/8.png)

#### 查找应用

在开始菜单中，可以使用鼠标滚轮或切换分类导航查找应用。如果已知应用名称，可直接在搜索框中输入应用名称或关键字快速定位。
 
#### 运行应用

对于已经创建了桌面快捷方式或固定到任务栏上的应用，可以通过以下途径来打开应用：

- 双击桌面图标，或右键单击桌面图标选择打开；
- 单击打开开始菜单后，直接点击应用图标打开；
- 直接点击任务栏上的应用图标，或右键单击任务栏上的应用图标选择打开。

## 安装和卸载

此操作系统提供便捷的应用软件安装卸载方式，可根据您的需求自主进行安装卸载操作。

### 安装应用

（1）软件商店安装

银河麒麟桌面操作系统自带软件商店，可支持一键下载安装应用，详情可参考手册中的<u>软件商店</u>部分内容。

（2）安装器安装

银河麒麟桌面操作系统提供图形化的安装器，支持单个或批量安装软件包，详情可参考手册中的<u>安装器</u>部分。

#### 卸载应用

对于不再使用的应用，可以通过集中方式将其卸载以节省硬盘空间。

(1)卸载通过安装器安装的应用：

请参考手册中的<u>安装器</u>部分。

(2)卸载通过软件商店安装的应用：

方法一：“**开始菜单**”中，右键单击应用图标，选择“**卸载**”；

方法二：打开软件商店，点击“**我的**”，进入“**应用卸载**”，选择需要卸载的应用点击卸载即可。

## 侧边栏

侧边栏包含三个模块，最近消息、快捷入口、剪切板。您可以点击任务栏右下角“侧边栏”![](image/icon16.png)  图标或通过快捷键“Win+A”打开侧边栏

![图 9 侧边栏](image/9.png)

- 通知中心

默认显示重要通知，点击右上角图标可以切换不同通知页签，点击设置按钮可以设置“获取来自应用的通知”，可以按照需求自行选定允许通知的应用。

![图 10 通知中心](image/10.png)

- 剪切板

近期复制的文字或者截图会显示在此处，自行查找、选定或编辑需要的内容，系统重启后会自动清空。

![图 11 剪切板](image/11.png)

- 快捷入口

设置和应用的快捷入口，包括夜间模式、飞行模式、投屏、闹钟、快速截图、便签本、服务与支持，点击对应图标可以快速设置或启动，您还可以拖动对应条目设置系统音量和亮度。

![图 12 快捷入口](image/12.png)

## 任务视图

#### 显示任务视图

通过显示任务视图可以切换任务视图和桌面工作区，以便对桌面窗口进行分组管理，窗口管理器可以在不同的工作区内展示不同的窗口内容。

点击任务栏“显示任务视图”![](image/icon7.png)图标，可以打开任务视图窗口管理，选择对应任务窗口即可实现桌面窗口切换，选择对应工作区即可切换桌面，拖拽工作区窗口可以调整顺序。

![图 13 显示任务视图](image/13.png)

#### 任务视图键盘走焦

在任务视图中可以通过键盘定位到想要激活的窗口并成功激活，或者定位到想要的工作区并切换过去。

![图 14 任务视图走焦框](image/19.png)

(1) 应用窗口预览区走焦

打开多任务视图，默认已经开启键盘走焦功能，走焦焦点为左上第一个窗口。只是打开多任务视图时走焦边框不显示，在第一次按下方向键、Tab 键或者导航键后走焦边框才会显示出来。

在应用窗口预览区内按方向键：走焦框以首尾循环的方式移动。（使用Up 与 Down 键移动时遵循映射法则，即定位到上/下一行与当前窗口重合宽度最大的窗口）。

在应用窗口预览区内按 Enter 键：激活走焦框所在的应用窗口。

在应用窗口预览区内按 PageUp 键：定位到上一行的第一个窗口，不可首尾循环。

在应用窗口预览区内按 PageDown 键：定位到下一行的最后一个窗口，不可首尾循环。

在应用窗口预览区内按 Home 键：定位到整体的第一个窗口，不可首尾循环。

在应用窗口预览区内按 End 键：定位到整体的最后一个窗口，不可首尾循环。

(2) 工作区预览区走焦

当应用窗口预览区为空时打开多任务视图，走焦焦点在工作区1，且走焦边框不会显示。在第一次按下方向键、Tab 键或者导航键后显示走焦边框。

在工作区预览区使用方向键：工作区预览区可以通过 Up 与 Down 键切换走焦边框，但不能首尾循环，Left 和 Right 键无效。也可以通过方向键将走焦边框移动到新建工作区按钮。

在工作区预览区内按 Enter 键：如果走焦边框定位在某个工作区，按 Enter 键会跳转至该工作区；如果定位在新建工作区按钮，按 Enter 键会创建一个新的工作区。

在工作区预览区内按 PageUp 键：定位到第一个工作区，不可首尾循环。

在工作区预览区内按 PageDown 键：定位到最后一个工作区，不可首尾循环。

在工作区预览区内按 Home 键：定位到第一个工作区，不可首尾循环。

在工作区预览区内按 End 键：定位到最后一个工作区，不可首尾循环。

(3) 走焦框通过 Tab 键在不同区域切换

走焦框可以通过 Tab 键在应用窗口预览区域、工作区预览区域以及新建工作区按钮之间切换。

## 日历

您可以通过日历功能查阅日期，了解节假日信息，查阅黄历。

点击桌面右下角时间与日期即可弹出日历界面。

![图 15 日历](image/14.png)

- 月份跳转：点击上下按钮即可实现单个月份跳转；或点击<b>“月”</b>按钮即可跳转到选择月份的页面，选择月份。

![图 16 月份切换](image/15.png)

- 年份切换：点击<b>“年”</b>按钮即可跳转到选择年份日历页面，选择后实现相应跳转。

![图 17 年份切换](image/16.png)

- 今天跳转：点击<b>“今天”</b>按钮即可实现跳转到今天日期日历页面。

![图 18 今天跳转](image/17.png)

- 黄历宜忌折叠：点击宜忌折叠按钮即可实现对黄历宜忌的折叠和展开。

![图 19 黄历宜忌展开](image/18.png)

## 麒麟教育工作空间
麒麟教育工作空间是一款桌面插件工具工作空间集成教师常用软件，老师在备课和教学过程中能快速找到需要用的软件。

- 登录

系统启动完成，在设置-账户模块登录麒麟id，登录完成后，麒麟教育工作空间也同步登录麒麟id；

系统启动完成，麒麟教育工作空间在桌面自启动后，点击【账号登录】模块，输入麒麟id账号，登录完成后，系统麒麟id也同步登陆完成。

在工作空间账号模块，点击账号，退出登录后。系统同时也退处登录。或者在设置-账号模块点击账号退出，退出登录后，麒麟教育工作空间也同时退处账号登录。

系统云账户登录退出，教育工作空间数据截至退出前同步至云账户，退出后数据及配置变动保留本地。

- 云账户数据同步

在云账户管理模块打开教育工作空间的数据同步按钮，工作空间内数据及个性化配置历史数据会从云账户同步。同时本地数据也会同步至云账户，该按钮默认不开启。系统不登录云账户，只登录本地账户，工作空间内数据为本地数据。 

- 应用管理

插件主页面默认显示11款应用，包括（希沃、极域、亦心、wps、微信等）

点开应用管理按钮，左侧弹出教育应用列表，可以点击+将列表内的应用添加至工作空间主页。
点击应用管理按钮，工作空间主页内的应用图标上-号，点击-号移除应用在工作空间的展示，但并不能对应用进行卸载。从工作空间移除的应用若在桌面有快捷方式，则展示在桌面，若没有快捷方式，则移除不显示。

- 应用下载安装

插件主页显示所有默认及自定义添加的应用（预装+非预装）

已预装的应用可直接打开使用，未预装的应用，双击应用后，会先下载，再进行安装，安装完成后可进行使用。

## 用户手册FAQ

- 手册问题

如何查看用户手册？

可在桌面环境下按F1键或在开始菜单-所有软件中找到用户手册。

- 外设使用

（1）银河麒麟桌面操作系统V10空光盘刻录文件显示无剩余空间怎么办？

RW的DVD盘会导致这个问题，可以换成R的DVD盘。

（2）银河麒麟桌面操作系统V10怎么刻录光盘？

银河麒麟桌面操作系统V10提供刻录工具，请通过用户手册获取刻录的详细使用方法。

（3）如何获取打印机驱动和使用打印机？

已适配的打印机，大部分驱动已集成到系统中，如无驱动则需向打印机厂商获取。直连的打印机可在添加界面识别到，直接添加即可。请通过用户手册获取打印机的详细使用方法。

（4）怎么看银河麒麟桌面操作系统V10支持使用什么打印机，有没有对应的打印机列表？

可登录麒麟软件官网-兼容列表查询打印机适配情况。

（5）使用系统自带的驱动打印会出现乱码、打印页数不对等一些不正常的打印现象怎么办？

请先确认打印机驱动版本是否是最新，如还有此问题请拨打麒麟软件的客服电话。

（6）打印机问题

1.打印测试页相关问题

①　如果打印测试页的时候，出现白纸、乱码、出多张纸等现象，则表示打印机驱动不匹配，可选择其他兼容驱动。

②　如果在添加打印机的时候，选择推荐的驱动打印测试页失败，建议选择与型号相近的驱动尝试一下，有些兼容性驱动是可以使用的。

③　一个打印机型号可以对应多个打印机驱动，如果推荐的驱动失败，请尝试该型号下的其他驱动程序。

2.打印机不能双面打印

①　出现这种情况通常都是驱动不支持，所以打印属性这没有双面打印选项； 

②　若表格可以双面打印，wps文档不能双面打印，则排除驱动问题； 

③　将打印属性里的Duplex这个值改成true尝试一下。

3.打印机的扫描功能如何使用

打开“**开始菜单**”>“**所有程序**”>“**扫描易**”页面，添加扫描仪；如果扫描易不能识别扫描仪，则有可能驱动不支持，只支持了打印功能。

4.如何开启cups服务

终端窗口输入“sudo systemctl restart cups”命令。

5.在客户端无法连接共享的打印机

确认cups 服务是否启动：“sudo service cups status”。

6.实现samba匿名访问共享的打印机

终端运行：“sudo pluma  /etc/samba/smb.conf”，将prints和printers部分“guest ok=no”改为“guest ok=yes”。（大约在242行和253行处。）

7.windows共享打印机给KylinOS的注意事项

做任何共享相关的操作前，切记：

①　先保证麒麟系统已有相关打印机的驱动，不然无法搜索到共享出来的打印机。可选操作是先通过usb线来测试麒麟系统已能够正常打印测试页，否则先解决驱动问题，再进行共享测试。

②　相关的机器都在同一网段，而不止于能够ping通就可以，否则就会能够添加上，但是无法打印。

如果windows加了域，则windows需要关闭防火墙。
如果 windows 没有用户名和密码，直接点击验证即可。（有时会提示验证不成功，直接点击“前进”按钮即可。）

- 输入问题

（1）输入法用不了，任务栏没有键盘图标了怎么办？

需要重新安装fcitx。打开终端依次执行指令：sudo apt-get update；sudo apt-get install fcitx，即可解决。

（2）还有其他输入法可用吗？

系统默认搜狗输入法，还可以通过软件商店下载其他输入法使用。

（3）搜狗输入法没有办法切换到五笔输入，或者输入某些字符不对怎么办？

可以通过右键桌面上的搜狗输入法图标，进入设置，选择“恢复默认配置”。

- 应用问题

（1）银河麒麟桌面操作系统V10有画图软件吗？

银河麒麟桌面操作系统V10自带画图软件，可通过开始菜单-所有程序-画图打开使用。

（2）银河麒麟桌面操作系统V10有视频、音频软件吗？

银河麒麟桌面操作系统V10自带音乐、影音软件，可通过开始菜单-所有程序-音乐/影音打开使用。

（3）银河麒麟桌面操作系统V10支持什么浏览器？

银河麒麟桌面操作系统V10支持火狐浏览器、谷歌浏览器、360浏览器等，具体可登陆麒麟软件官网查看软件兼容列表，通过软件商店可以下载对应浏览器。

（4）银河麒麟桌面操作系统V10如何截图？

银河麒麟桌面操作系统V10自带截图软件，可通过快捷键：PrtSc截全屏，PrtSc+Shift区域截图，或者通过开始菜单-所有程序-截图来打开截图。

- 其他问题

（1）如何获取银河麒麟桌面操作系统学习资料？

可通过麒麟软件教育发展中心(http://www.inst.kylinos.cn) 学习完整的培训课程。

（2）有没有什么推荐的硬件？

您可以在麒麟软件官网-兼容适配页面内查询您想要购买的硬件产品是否与银河麒麟桌面操作系统V10进行过适配。

（3）是否支持龙芯3A3000、飞腾1500A的机型？

银河麒麟桌面操作系统V10SP1 2207及以后的版本不再支持。

（4）银河麒麟桌面操作系统如何更新至最新版本？

银河麒麟桌面操作系统V10SP1可通过系统在线更新或离线包的形式升级到最新版本。

（5）银河麒麟桌面操作系统V10支持少数民族语言吗？

目前银河麒麟桌面操作系统V10语言支持中文、英文、藏文。