# Remmina
## Overview

The remote desktop client can connect to the computer through SSH and VNC remote protocols. Use the Remote Desktop client to access files and network resources on a remote computer, use apps installed on a remote computer, and so on, to do everything you would with a physical computer.

## Open With

- "**Start Menu**"![](image/icon1.png)>"**Remmina**"![](image/icon2.png);
- "**Taskbar**">"**Search**"![](image/icon3.png)>"**Remmina**"![](image/icon2.png);

![Fig 1 Remote Desktop Client - Daytime Mode](image/1.png)

![Fig 2 Remote Desktop Client - Night Mode](image/2.png)

## Basic Function

### Create New Connection

Take SSH, and connect to IP: 172.17.120.100 for example.

1) Click "![](image/icon4.png)",the remote desktop setting interface pops up,select the SSH protocol. Enter the IP address of the target computer in the "**Server**" box, for example: 172.17.120.100. And the "**User name**" and "**User password**" are the name and password of the target computer. When you're done, tap "**Connect**" or "**Save and connect**".

![Fig 3 Remote desktop preference-big](image/3.png)

2)The following figure shows the successful connection screen. 

![Fig 4 Connection preference-big](image/4.png)

3)Or directly select SSH on the main interface, enter the IP of the target computer, and fill in the information in the pop-up window to connect.

![Fig 5 Connect successfully-big](image/5.png)

If you need to install additional plug-in packages by using the RDP protocol option through a remote client, install them as follows.

Step 1: Update the software repository.

(1) Press the shortcut key combination Ctrl + Alt + t to open the terminal command line;

(2) Enter sudo apt update on the terminal command line to update the software source to the latest;

![Fig 6 Update the software repository ](image/8.png)

Step 2: Install the RDP protocol plugin.

Enter sudo apt install remmina-plugin-rdp in the terminal command that opens

Step 3: Restart the Remote Desktop client.

If you have not opened the Remote Desktop client, you can use the RDP protocol option by opening it directly.

If you already have the Remote Desktop client open, you need to close and reopen it. You need to find the remote client tray program in the tray area of the taskbar, right-click to exit, and then reopen the remote desktop client.

![Fig 7 Install the RDP protocol plugin](image/9.png)

![Fig 8 Exit the tray program](image/10.png)

![Fig 9 Install the RDP protocol plugin](image/11.png)


### Preferences
Click "![](image/icon5.png)" and select "**Preferences**",remote Desktop clients can be set up.

![Fig 10 Preferences-big](image/6.png)


## Advanced Function

In the connected window, some tools are available. The following table describes the features of some commonly used tools.

| Icon         | Function |
|------------|----|
|![](image/icon6.png) | Full screen         |    
|![](image/icon7.png) | Capture all keyboard events   |    
|![](image/icon8.png) | Copy/paste/keyboard monitoring|    
|![](image/icon9.png) | Take a screenshot         |    
|![](image/icon10.png) | Minimize the window      |    
|![](image/icon11.png) | Disconnect       |    



Table 1 Connection window toolbar function description
